Public NotInheritable Class frmAbout

    Private Sub AboutBox1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Legen Sie den Titel des Formulars fest.
        Dim ApplicationTitle As String
        If My.Application.Info.Title <> "" Then
            ApplicationTitle = My.Application.Info.Title
        Else
            ApplicationTitle = System.IO.Path.GetFileNameWithoutExtension(My.Application.Info.AssemblyName)
        End If

        If USER_LANGUAGE = "de-DE" Then
            Me.Text = String.Format("Information zu: {0}", ApplicationTitle)
        Else
            Me.Text = String.Format("Information about: {0}", ApplicationTitle)
        End If

        lblProduktname.Text = My.Application.Info.ProductName
        lblVersion.Text = String.Format("Version {0}", My.Application.Info.Version.ToString)
        lblCompanyName.Text = My.Application.Info.CompanyName
        txtDescription.Text = My.Application.Info.Description
    End Sub

    Private Sub OKButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OKButton.Click
        Me.Close()
    End Sub


    Private Sub LinkLabel1_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        ' Specify that the link was visited.
        Me.LinkLabel1.LinkVisited = True
        ' Navigate to a URL.
        System.Diagnostics.Process.Start("https://digitaldata.works")
    End Sub
End Class
